KineCalc Class Reference

## Public Member Functions

void | CalculateFK (const double fromJoints[])
bool | CalculateIK (const EndEffector &fromPosition)
const KineVector & | GetP (void) const
const KineVector & | GetN (void) const
const KineVector & | GetO (void) const
const KineVector & | GetA (void) const
void | SetP (const KineVector &newP)
void | SetN (const KineVector &newN)
void | SetO (const KineVector &newO)
void | SetA (const KineVector &newA)
void | SetP (double newPX, double newPY, double newPZ)
void | SetN (double newNX, double newNY, double newNZ)
void | SetO (double newOX, double newOY, double newOZ)
void | SetA (double newAX, double newAY, double newAZ)
double | GetTheta (unsigned int index)
const double * | GetThetas (void) const
void | SetTheta (unsigned int index, double newVal)
void | SetLinkLengths (double newLink1, double newLink2, double newLink3, double newLink4, double newLink5)
void | SetOffset (unsigned int joint, double newOffset)
void | SetJointRange (unsigned int joint, double min, double max)
KineVector | CalculateN (const EndEffector &pose)
KineVector | Normalise (const KineVector &vector)

## Protected Member Functions

void | CalcTheta4and5 (double angles[], const EndEffector &fromPosition)
int | ChooseSolution (const EndEffector &fromPosition, const double solutions[][5])
double | CalcSolutionError (const double solution[], const EndEffector &fromPosition)
EndEffector | CalcFKForJoints (const double angles[])
bool | SolutionInRange (const double angles[])
void | PrintEndEffector (const EndEffector &endEffector)

## Protected Attributes

EndEffector | endEffector
double | joints [5]
double | jointOffsets [5]
double | jointMin [5]
double | jointMax [5]
double | link1
double | link2
double | link3
double | link4
double | link5

The documentation for this class was generated from the following files:

- kinecalc.h
- kinecalc.cc

Last updated 12 September 2005 21:38:45